/*
	Zadatak: Vojnici
	Autor resenja: Aleksandar Ilic, aleksandari@gmail.com

	Resenje je GREEDY algoritam.
	Oba niza sortiramo nekom metodom (QuickSort, HeapSort, MergeSort) u rastuci poredak. Sa
	pokazivacem i se krecemo po nizu a, dok je j pokazivac u nizu b. Kada naidjemo na indekse
	tako da je a [i] < b [j], to znaci da je vojnik j jaci od vojnika i. Uzimamo bas vojnika
	b [j], jer je on najjaci vojnik u nizu b koji je jaci od nekog iz a. Naravno, to je najbolja
	mogucnost (uzimajuci nekog drugog smanjujemo ukupnu energiju. Nadalje ponavljamo gornji 
	postupak uvecavajuci indekse za 1.

	Slozenost: O (n * log(n))
*/

#include <stdio.h>
#include <stdlib.h>

#define MaxN 20001

long a [MaxN], b [MaxN], n, sol, k;

// procedura za unos ulaznih podataka: n, a [], b []
void Input ()
{
	FILE *in;
	long i;

	in = fopen ("zad3.dat", "r");
	fscanf (in, "%ld", &n);
	for (i = 1; i <= n; i++)
		fscanf (in, "%ld", &a [i]);
	for (i = 1; i <= n; i++)
		fscanf (in, "%ld", &b [i]);
	fclose (in);
}

// procedura za ispis resenja
void Output ()
{
	FILE *out;

	out = fopen ("zad3.res", "w");
	fprintf (out, "%ld\n", sol);
	printf ("%ld %ld\n", sol, k);
	fclose (out);
}

// brzo sortiranje
void QuickSort (long a [], long l, long r)
{
	long i, j, p, tmp;

	i = l;
	j = r;
	p = a [(i + j) / 2];
	do
	{
		while ((i <= r) && (a [i] < p))
			i++;
		while ((j >= l) && (a [j] > p))
			j--;
		if (i <= j)
		{
			tmp = a [i];
			a [i] = a [j];
			a [j] = tmp;
			i++;
			j--;
		}
	}
	while (i < j);
	if (i < r)
		QuickSort (a, i, r);
	if (l < j)
		QuickSort (a, l, j);
}

// glavna procedura koja resava problem
void Solve ()
{
	long i, j;
	
	QuickSort (a, 1, n);
	QuickSort (b, 1, n);
	i = n;
	j = n;
	sol = 0;
	k = 0;
	while ((i >= 1) && (j >= 1))
	{
		if (a [i] < b [j])
		{
			sol = sol + b [j];
			k++;
			j--;
		}
		i--;
	}
}

void main ()
{
	Input ();
	Solve ();
	Output ();
}
